## gate.util
Class AbstractNameBearer

    java.lang.Object
      |
      +--gate.util.AbstractNameBearer

All Implemented Interfaces:
  Serializable

public abstract class AbstractNameBearer
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected String` `name`
`(package private) static long` `serialVersionUID`

Constructor Summary
`AbstractNameBearer()`

Method Summary
`String` `getName()` Returns the name of this resource
`void` `setName(String name)` Sets the name of this resource

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

### name

    protected String name

Constructor Detail

### AbstractNameBearer

    public AbstractNameBearer()

Method Detail

### setName

    public void setName(String name)

  Sets the name of this resource

### getName

    public String getName()

  Returns the name of this resource